Subject: Re: bug#56682: Fix the long lines font locking related slowdowns

From: Eli Zaretskii <[email-masked]>
Date: Tue, 16 Aug 2022 18:51:41 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Tue, 16 Aug 2022 10:31:54 -0400
> 
> Eli Zaretskii [2022-08-16 17:14:35] wrote:
> >> >> >> The locked narrowing prevents that "last mile", sadly.
> >> >> > Nonsense, it doesn't prevent any such things.
> >> >> > Let's not exaggerate when we try to make a point, okay?
> >> >> Why nonsense?
> >> > Because it takes no effort to override it and then try changes in any
> >> > major mode.
> >> AFAIK it requires recompiling Emacs
> > No, it doesn't.
> 
> I missed it then: you're saying that I can make nlinum-mode override the
> locked narrowing to find the real current line number without having to
> recompile Emacs?

No, I'm saying that you can test improvements in nlinum-mode that
would make it work better with long lines without recompiling.